Camelia, the Perl 6 bug

IRC log for #deepin, 2016-02-10

| Channels | #deepin index | Today | | Search | Google Search | Plain-Text | summary

All times shown according to UTC.

Time Nick Message
02:03 elaiven joined #deepin
09:10 sbw joined #deepin
09:42 sbw1 joined #deepin
12:30 sbw joined #deepin
12:46 sbw joined #deepin
12:48 sbw joined #deepin
13:10 sbw joined #deepin
13:15 sbw1 joined #deepin
14:01 Flywater joined #deepin
14:02 Flywater felix在吗?
14:02 Flywater felixonmars: 在吗?
14:03 felixonmars Flywater: 在
14:03 Flywater 我想问问arch上libglvnd的事
14:03 felixonmars https://bugs.archlinux.org/task/48109
14:04 Flywater nvidia更新后起源引擎开发的游戏无法启动,是不是装了这个就行了?
14:05 felixonmars 可以试试,但是我不保证是有效的
14:05 felixonmars 我在两分钟前刚问了 nvidia 负责这块的员工
14:05 felixonmars 给我的答复是他们还没找到原因
14:06 Flywater 根据报错我觉得应该是库文件版本映射的原因。
14:08 Flywater libglvnd应该起到一个调用合适的gl实现的作用(mesa或者私有库​),但是不知道是调用失败了,还是调用没有被程序识别版本,总之是失败了。
14:09 Flywater 明天我试试装上这个,问题如果解决了我会回复你的  felixonmars
14:09 felixonmars 现在还做不到
14:10 felixonmars 现在 libglvnd 只会调用到 nvidia
14:11 felixonmars 总之……这个得等 nvidia 那边答复了
14:11 Flywater 我用的是bumblebee
14:13 Flywater felixonmars: 目前出问题的只有起源引擎开发的游戏,其他游戏运行正常。
14:13 felixonmars
14:14 felixonmars nvidia 上游给我的回复原文:"I'll let my manager know to look at the L4D2 (and other valve games) regression ASAP \n we've got good contacts with Valve so hopefully they can fix the problem in their side too"
14:14 felixonmars 所以……咱只能等啦 :P
14:14 deepin-bot [sbw]:  😉
14:14 Flywater fedora和gnome的多显卡实现计划里提到需要gl dispatch,不知道有了libglvnd他们什么时候能实现计划……
14:15 felixonmars Flywater: nvidia 告诉我,他们要首先等 intel 实现 libglvnd 支持。
14:15 felixonmars 而且 intel 方面已经确定会支持了。
14:17 Flywater felixonmars: 还有bumblebee的问题,开发bumblebee的人员已经散的几乎没有了,前途未卜……
14:17 felixonmars <(=﹁"﹁=)> 这个我帮不了你。我自己用的电脑没有双显卡的
14:19 Flywater felixonmars: 如果问题能解决,libglvnd是不是应该作为nvidia的一个可选依赖?
14:19 felixonmars 现在已经是 nvidia-libgl 的硬依赖了
14:19 felixonmars 在我的新包里
14:21 Flywater felixonmars: 那你知道bumblebee运行程序调用的gl库是哪里的吗?(不需要安装nvidia-libgl)
14:21 felixonmars 原本在 nvidia-utils 里
14:21 felixonmars 现在应该由 libglvnd 提供了
14:21 Flywater 现在已经剥离了?
14:22 felixonmars 暂时我还没办法解决这个冲突,因为文件名已经完全冲突了
14:22 Flywater 那为什么不用bumblebee却需要安装nvidia-libgl?这一点我一直不明白到底是怎么回事。
14:23 Flywater 之前我一直以为私有gl库是bumblebee提供的,所以不需要安装nvidia-libgl。
14:25 Flywater felixonmars: 总之明天试试好了,行不行再告诉你。
14:26 felixonmars 以前的 nvidia-libgl 包只有几个 symlink
14:27 felixonmars 把 nvidia-utils 的 libGL 等库软链到 /usr/lib 里
14:27 felixonmars 现在的情况相当于是 libglvnd + nvidia-utils 才提供了原来的 nvidia-utils
14:29 Flywater fel
14:29 Flywater felixonmars: 哦,明白了。thank you。
14:49 arunpyasi joined #deepin
15:16 bobo____ joined #deepin
15:43 sbw joined #deepin
15:54 arun_ joined #deepin
18:17 arun_ joined #deepin
18:56 arunpyasi joined #deepin
21:49 ohms360 joined #deepin
21:55 dardevelin joined #deepin

| Channels | #deepin index | Today | | Search | Google Search | Plain-Text | summary